Range-v3 Range algorithms, views, and actions for the Standard Library |

Typedefs | Functions
remove_copy_if.hpp File Reference

## Typedefs
template<typename I , typename O >
using | ranges::remove_copy_if_result = detail::in_out_result< I, O >

## Functions
template<typename I , typename S , typename O , typename C , typename P = identity> requires input_iterator<I> && sentinel_for<S, I> && weakly_incrementable<O> && indirect_unary_predicate<C, projected<I, P>> && indirectly_copyable<I, O>
constexpr remove_copy_if_result< I, O > | ranges::remove_copy_if (I first, S last, O out, C pred, P proj=P{})
| function template `remove_copy_if`
template<typename Rng , typename O , typename C , typename P = identity> requires input_range<Rng> && weakly_incrementable<O> && indirect_unary_predicate<C, projected<iterator_t<Rng>, P>> && indirectly_copyable<iterator_t<Rng>, O>
constexpr remove_copy_if_result< borrowed_iterator_t< Rng >, O > | ranges::remove_copy_if (Rng &&rng, O out, C pred, P proj=P{})
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.